/* FAPI_M.H - mailbox command codes (FR only) */

/* Frame Relay Mailbox commands */
#define	INFORMATION_WRITE		0x01
#define	INFORMATION_READ		0x02
#define	ISSUE_IN_CHANNEL_SIGNALLING_FRAME	0x03
#define	SET_DLCI_CONFIGURATION		0x10
#define	READ_DLCI_CONFIGURATION		0x11
#define	DISABLE_COMMUNICATIONS		0x12
#define	ENABLE_COMMUNICATIONS		0x13
#define	READ_DLC_STATUS			0x14
#define	READ_DLC_STATISTICS		0x15
#define	FLUSH_DLC_STATISTICS		0x16
#define	LIST_ACTIVE_DLCI		0x17
#define	FLUSH_INFORMATION_BUFFERS	0x18
#define	ADD_DLCI			0x20
#define	DELETE_DLCI			0x21
#define	ACTIVATE_DLCI			0x22
#define	DEACTIVATE_DLCI			0x23
#define	READ_MODEM_STATUS		0x30
#define	SET_MODEM_STATUS		0x31
#define	READ_COMMS_ERR_STATS		0x32
#define FLUSH_COMMS_ERR_STATS           0x33
#define	READ_CODE_VERSION		0x40

#define	UNUSED_CMD_FOR_EVENTS		0x7f

#define	Z80_TIMEOUT_ERROR	0x0a
#define	DATA_LENGTH_TOO_BIG	0x05
#define	NO_BUFFS		0x08
#define	NO_DATA_AVAILABLE	0x05

